> ## Documentation Index
> Fetch the complete documentation index at: https://docs.support.onclarity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get knowledge base metadata



## OpenAPI

````yaml /api-reference/support-openapi.json get /api/kb/meta
openapi: 3.1.0
info:
  title: Clarity Support API
  version: '1.0'
  description: Tickets, customers, messages, the knowledge base, and webhooks.
servers:
  - url: https://back.leap.onclarity.com
security:
  - organizationApiKey: []
tags:
  - name: AI service
    description: >-
      Hand a customer conversation to your Clarity AI agent from your own app or
      backend.
  - name: Messages
    description: Reply to customers on their ticket's channel and add private notes.
  - name: Customers
    description: Create, update, and look up customers and their custom attributes.
  - name: Tickets
    description: >-
      Change a ticket's status, assignee, category, and tags, and list the
      values they take.
  - name: Knowledge base
    description: Manage the articles your AI agents answer from.
  - name: Webhooks
    description: Subscribe your endpoints to events in your organization.
paths:
  /api/kb/meta:
    get:
      tags:
        - Knowledge base
      summary: Get knowledge base metadata
      operationId: ApiKbMetaGetMeta
      responses:
        '200':
          description: Request fulfilled, document follows
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KBMetaResponse'
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KTSErrorResponse'
        '500':
          description: Server got itself in trouble
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KTSErrorResponse'
      deprecated: false
components:
  schemas:
    KBMetaResponse:
      properties:
        field_info:
          oneOf:
            - $ref: '#/components/schemas/KBFieldInfo'
            - type: 'null'
        collections:
          oneOf:
            - items:
                $ref: '#/components/schemas/CollectionValueMeta'
              type: array
            - type: 'null'
        documents_upload_available:
          type: boolean
          default: false
      type: object
      required: []
      title: KBMetaResponse
    KTSErrorResponse:
      properties:
        status:
          type: string
          default: error
        code:
          type: string
        message:
          oneOf:
            - type: string
            - type: 'null'
        extra:
          oneOf:
            - additionalProperties: {}
              type: object
            - items: {}
              type: array
            - type: 'null'
      type: object
      required:
        - code
      title: KTSErrorResponse
    KBFieldInfo:
      properties:
        confidence:
          $ref: '#/components/schemas/KBMetaFieldSchema'
        criticality:
          $ref: '#/components/schemas/KBMetaFieldSchema'
        tags:
          $ref: '#/components/schemas/KBMetaFieldSchema'
        collection:
          $ref: '#/components/schemas/KBMetaFieldSchema'
      type: object
      required: []
      title: KBFieldInfo
    CollectionValueMeta:
      properties:
        value:
          oneOf:
            - type: string
            - type: 'null'
        count:
          type: integer
      type: object
      required:
        - count
      title: CollectionValueMeta
    KBMetaFieldSchema:
      properties:
        unique_values:
          items:
            type: string
          type: array
      type: object
      required: []
      title: KBMetaFieldSchema
  securitySchemes:
    organizationApiKey:
      type: http
      scheme: bearer
      description: >-
        Your organization API key (it starts with `anek_org_`). The same key
        works on the Voice API and the Support API. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.